#!/bin/sh

CONF="$1"
DIRNAME=`dirname "$0"`/..

if [ ! "$CONF" ]; then
    cat 1>&2 <<EOF
Usage: $0 <configuration>

Apply patch files for the configuration to the repository.
EOF
    exit 1
fi

# Patch files appropriate to the configuration.

cat "$DIRNAME/FILES-$CONF.txt" | xargs -I{} sh -c "patch -p0 < \"$DIRNAME/{}\""

# Make sure that all files are added.

cat "$DIRNAME/FILES-$CONF.txt" | xargs -I{} grep ^Index "$DIRNAME/{}" | cut -d ' ' -f 2 | xargs -I{} svn add --parents '{}'
