#!/bin/sh

DIRNAME=`dirname "$0"`/..

# Read filenames from standard input if indicated. Otherwise scan the patch
# directory.

if [ "$1" = '-' ]; then
    read FILENAMES
else
    FILENAMES="$DIRNAME"/*.diff
fi

# Make new versions of each patch.

for FILENAME in $FILENAMES ; do
    grep ^Index "$FILENAME" | cut -d ' ' -f 2 | xargs -I{} svn diff '{}' > `basename "$FILENAME"`
done

# Find all files in patches and all those changed in the repository.

grep ^Index $FILENAMES | cut -d ' ' -f 2 | sort -u > a.txt
svn diff | grep ^Index | cut -d ' ' -f 2 | sort -u > b.txt

# Produce a patch for all new files.

diff a.txt b.txt | grep '^>' | cut -d ' ' -f 2 | xargs -I{} svn diff '{}' > new.diff
